<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "accmast";
$maindb2 = "transport";
$file = "customer.php";
$mgrpcode = '010';
$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`name`  = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`add1` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND b.`name` = '$searchTerm'";
//    } else if ($_REQUEST["sfield"] == "6") {
//        $cond = "AND `accode` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`add1` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`city` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`mobile` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
//    }  else if ($_REQUEST["sfield"] == "6") {
//        $cond = "AND `accode` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY a.`name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`name";
    } else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`add1`";
    } else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`city`";
    } else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`mobile`";
    } else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY b.`name`";
    } else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`accode`";
    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

    
    
//$srchresult = "SELECT a.*,b.name as tranport FROM `$maindb` a ,$maindb2 b WHERE `grpcode`='$mgrpcode'  and a.transporter = b.code  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$srchresult = "SELECT a.*, b.name as transport FROM accmast a LEFT JOIN transport b ON a.transporter = b.code WHERE a.`grpcode`='$mgrpcode' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $srchresult) or die(mysqli_error($conn));
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'name'    => $r['name'],
        'add1'    => $r['add1'],
        'city'    => $r['city'],
        'mobile'  => $r['mobile'],
        'tranporter'   => $r['transport'],
        'action'  => "$file?mode=edit&accode=$r[accode]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
